Pattern:Script
==============

About
-----

This is a fork of [ClementSparrow/Pattern-Script](https://github.com/ClementSparrow/Pattern-Script).

*Pattern:Script* is an open-source HTML5 game engine based on [PuzzleScript](https://www.puzzlescript.net). Try it out [here](https://clementsparrow.github.io/Pattern-Script/src/editor.html)!

The manual has only been partially updated from PuzzleScript, as the project targets game devs with prior knowledge of PuzzleScript. A list of the new features (and planned features) is available [on the project's wiki](https://github.com/ClementSparrow/Pattern-Script/wiki) – you should start there to learn what Pattern:Script can do for you!

If you want to contribute to the project, I suggest starting with reading these pages:
- [What to contribute?](https://github.com/ClementSparrow/Pattern-Script/wiki/What-To-Contribute%3F) – most needed features and easiest features to implement
- [How to contribute?]() – what do I need to contribute, how do I setup an environment to contribute, what code standard should I follow, how do I send my contributions, etc?

Licence
-------

The MIT License (MIT)

Copyright (c) 2013 increpare for the original PuzzleScript software,
(c) 2021-2022 ClementSparrow for the modifications of PuzzleScript and new Pattern:Script features

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
